Draft Offset/sv: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 10: Line 10:


* Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
* Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/se|snäppa]] din punkt till tillgängliga snäpp-punkter.
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/sv|snäppa]] din punkt till tillgängliga snäpp-punkter.
* Nedtryckning av {{KEY|SKIFT}} kommer att [[Draft_Constrain/se|begränsa]] dig till det nuvarande segmentet, iställed för att markera det närmaste.
* Nedtryckning av {{KEY|SKIFT}} kommer att [[Draft_Constrain/sv|begränsa]] dig till det nuvarande segmentet, iställed för att markera det närmaste.
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
* {{KEY|C}} växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
* {{KEY|C}} växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.

Revision as of 23:10, 24 February 2016

Draft_Offset

Menyplacering
Draft -> Offset
Arbetsbänkar
Skiss
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

The Offset tool offsets the selected object by a given distance on the current work plane. If no object is selected, you will be invited to select one.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa dig till det nuvarande segmentet, iställed för att markera det närmaste.
  • Om du trycker på ESC så avbryts funktionen.
  • C växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
  • Nedtryckning av ALT kommer att skapa en kopia, även om kopieringsknappen är av.
  • Om ALT är nedtryckt, så kan du göra multipla kopior ända tills ALT släpps.

Options

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))